Page MenuHomePhabricator

EPIC recurring for Adyen
Open, Needs TriagePublic

Description

As a donor I would like to create a recurring donation through adyen that is identical to ingenico.

Scope for Sprint A in 2020:

  • instruct hosted payment pages to setup for recurring
  • store the references as payment tokens in civi
  • create smashpig library functions to charge recurring payment installments
  • maintenance script technical test/proof of concept

Event Timeline

DStrine created this task.Nov 12 2019, 4:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 12 2019, 4:28 PM
This comment was removed by DStrine.
DStrine closed this task as Resolved.Dec 17 2019, 6:38 PM
DStrine reopened this task as Open.
DStrine renamed this task from Investigate and break down recurring for Adyen to EPIC recurring for Adyen.Jan 3 2020, 7:33 PM
DStrine added a project: Epic.
DStrine updated the task description. (Show Details)
DStrine updated the task description. (Show Details)Jan 7 2020, 9:34 PM

Make a tokenized request for Adyen.

Move Adyen to smashpig?

Make Smashpig recurring handle Adyen recurring payments.

Normalize recurring responses.

Process tokenized response and save to civi.

mepps added a subscriber: mepps.Jan 8 2020, 7:24 PM

From tech-talk, Jack: 1. Hosted Payment pages--learn more from Adyen, 2. enhance smashpig handling of back-end to handle recurring payment authorize/capture actions, access token 3. Wire up existing smashpig job tool to call new adyen actions

mepps added a comment.Jan 8 2020, 7:28 PM

Goal for Sprint A: Get local donation into Civi and ready to recur (but not the recurring job set up).

DStrine updated the task description. (Show Details)Jan 8 2020, 7:28 PM
DStrine updated the task description. (Show Details)Jan 8 2020, 7:33 PM